%undefine __cmake_in_source_build

Summary: KDE Frameworks 5 Tier 3 module with support for emoticons and emoticons themes
Name:    kf5-kemoticons
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/frameworks/kemoticons
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kemoticons-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-karchive-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kservice-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$



%description
KDE Frameworks 5 Tier 3 module that provides emoticons themes as well as
helper classes to automatically convert text emoticons to graphical emoticons.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kservice-devel >= %{majmin}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kemoticons-%{version}



%build
%{cmake_kf5}
%cmake_build



%install
%cmake_install



%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_datadir}/qlogging-categories5/kemoticons*
%{_kf5_libdir}/libKF5Emoticons.so.*
%{_kf5_plugindir}/emoticonsthemes/
%{_kf5_plugindir}/KEmoticonsIntegrationPlugin.so
%{_kf5_datadir}/kservices5/*
%{_kf5_datadir}/kservicetypes5/*
%{_kf5_datadir}/emoticons/

%files devel
%{_kf5_includedir}/KEmoticons/
%{_kf5_libdir}/libKF5Emoticons.so
%{_kf5_libdir}/cmake/KF5Emoticons/
%{_kf5_archdatadir}/mkspecs/modules/qt_KEmoticons.pri



%changelog
* Tue Nov 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial